Get Instructions
curl --request GET \
--url https://app.apigene.ai/api/mcp/get_instructions \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.apigene.ai/api/mcp/get_instructions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.apigene.ai/api/mcp/get_instructions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"instructions": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}MCP
Get Instructions
Returns the formatted agent instructions for the specified GenAI app. This includes the app description, internal guidelines, and list of available apps with their capabilities.
GET
/
api
/
mcp
/
get_instructions
Get Instructions
Authorizations
JWT Authorization header using the Bearer scheme. Example: 'Authorization: Bearer {token}'
Query Parameters
The name of the GenAI app.
The type of the app ('mcp' or 'agent').
Response
Successful Response
Response model for MCP instructions. Contains the formatted instructions for the agent.
The formatted agent instructions
⌘I
